rte_port_sym_crypto.h(3)

NAME
rte_port_sym_crypto.h

SYNOPSIS

#include <stdint.h>
#include <rte_cryptodev.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_sym_crypto_reader_params
struct rte_port_sym_crypto_writer_params
struct rte_port_sym_crypto_writer_nodrop_params

  Typedefs

typedef void(* rte_port_sym_crypto_reader_callback_fn) (struct rte_mbuf **pkts, uint16_t n_pkts, void *arg)

  Variables

struct rte_port_in_ops rte_port_sym_crypto_reader_ops
struct rte_port_out_ops rte_port_sym_crypto_writer_ops
struct rte_port_out_ops rte_port_sym_crypto_writer_nodrop_ops

Detailed Description

RTE Port sym crypto Interface

crypto_reader: input port built on top of pre-initialized crypto interface crypto_writer: output port built on top of pre-initialized crypto interface

Definition in file rte_port_sym_crypto.h.

Typedef Documentation

  typedef void(* rte_port_sym_crypto_reader_callback_fn) (struct rte_mbuf **pkts, uint16_t n_pkts, void *arg)
Function prototype for reader post action.

Definition at line 27 of file rte_port_sym_crypto.h.

Variable Documentation

  struct rte_port_in_ops rte_port_sym_crypto_reader_ops [extern]
Crypto_reader port operations.

  struct rte_port_out_ops rte_port_sym_crypto_writer_ops [extern]
Crypto_writer port operations.

  struct rte_port_out_ops rte_port_sym_crypto_writer_nodrop_ops [extern]
Crypto_writer_nodrop port operations.

Author

Generated automatically by Doxygen for DPDK from the source code.